### Enumeration

# Gimp TransformResize

unstable since: 3.0

#### Declaration

    enum Gimp.TransformResize

#### Description [src]

Ways of clipping the result when transforming drawables.

Available since: 3.0

#### Members

`GIMP_TRANSFORM_RESIZE_ADJUST`

  Adjust.

  - Value: `0`
  - Nickname: `adjust`
  - Available since: 3.0
`GIMP_TRANSFORM_RESIZE_CLIP`

  Clip.

  - Value: `1`
  - Nickname: `clip`
  - Available since: 3.0
`GIMP_TRANSFORM_RESIZE_CROP`

  Crop to result.

  - Value: `2`
  - Nickname: `crop`
  - Available since: 3.0
`GIMP_TRANSFORM_RESIZE_CROP_WITH_ASPECT`

  Crop with aspect.

  - Value: `3`
  - Nickname: `crop-with-aspect`
  - Available since: 3.0